from http.server import BaseHTTPRequestHandler, HTTPServer

class handler(BaseHTTPRequestHandler):
    def do_GET(self):
        self.send_response(200)
        self.send_header('Content-type','text/html')
        self.end_headers()

        message = "Hello, World! Here is a GET response"
        self.wfile.write(bytes(message, "utf8"))
    def do_POST(self):
        self.send_response(200)
        self.send_header('Content-type','text/html')
        self.end_headers()

        # Get the length of the content
        content_length = int(self.headers['Content-Length'])

        # Read the data sent by the client
        post_data = self.rfile.read(content_length)

        # Convert the data to a string
        post_data_str = post_data.decode('utf-8')

        # Print the data
        print("Received data: ", post_data_str)
        message = "Hello, World! Here is a POST response"
        self.wfile.write(bytes(message, "utf8"))

with HTTPServer(('', 2001), handler) as server:
    server.serve_forever()
